! This file is generated automatically by 
! makebanner.pl README src/banner.f90
module banner 

contains 

  subroutine print_banner

    write(0,*) '           ********************************************'
    write(0,*) '           *                JetVHeto Version 2.0.1                  *'
    write(0,*) '           ********************************************'
    write(0,*) ''
    write(0,*) ' This is JetVHeto, a program that performs NNLL resummation for'
    write(0,*) ' jet-veto efficiencies and cross sections in Higgs and Z-boson'
    write(0,*) ' production. It also carries out matching to fixed-order (NNLO)'
    write(0,*) ' results provided by the user. '
    write(0,*) ''
    write(0,*) ' The jets should be defined according to any longitudinally-invariant'
    write(0,*) ' generalised kt algorithm (e.g. kt, anti-kt, C/A...), in the so-called'
    write(0,*) ' "inclusive" mode, with E-scheme recombination and a a distance'
    write(0,*) ' measure based on Delta y^2 + Delta phi^2.'
    write(0,*) ''
    write(0,*) ' At NNLO and NNLL the resummed, fixed order and matched results are'
    write(0,*) ' independent of whether the jet algorithm is kt, C/A or anti-kt (but'
    write(0,*) ' do depend on the jet-radius R).'
    write(0,*) ' '
    write(0,*) ' Version 2.0.0 implements top and bottom mass effects in loops, as'
    write(0,*) ' well as the resummation for the boson transverse momentum.  In the'
    write(0,*) ' formalism used by JetVHeto, the boson transverse momentum (ptB)'
    write(0,*) ' resummation has a singularity at low values of ptB, hence it cannot'
    write(0,*) ' be pushed reliably at too low ptB (see appendix D of arXiv:1308.4634'
    write(0,*) ' for a discussion on the domain of validity of such predictions). A'
    write(0,*) ' lower cutoff (ptcut) in the transverse momentum is imposed to exclude'
    write(0,*) ' the low ptB region where the prediction might be unreliable. The'
    write(0,*) ' ptcut parameter can be changed by the user from the command line.'
    write(0,*) ''
    write(0,*) ' In version 2.0.1, the "-loop-mass" option is read directly from the '
    write(0,*) ' fixed-order file provided by the user. '
    write(0,*) ''
    write(0,*) ' JetVHeto is made available under the GNU General Public License v3.'
    write(0,*) ' If you use it in scientific work, please cite A. Banfi, P.F. Monni,'
    write(0,*) ' G.P. Salam and G. Zanderighi, Phys. Rev. Lett. 109 (2012) 202001'
    write(0,*) ' [arXiv:1206.4998], and A. Banfi, P.F. Monni and G. Zanderighi'
    write(0,*) ' arXiv:1308.4634. You are also encouraged to cite A. Banfi, G.P. Salam'
    write(0,*) ' and G. Zanderighi, JHEP 06 (2012) 159 [arXiv:1203.5773], containing'
    write(0,*) ' the R-dependent piece of NNLL resummation.'
    write(0,*) ' '

  end subroutine print_banner

  subroutine print_help

    write (0,*) ' Usage: jetvheto [OPTIONS]'
    write (0,*) ' '
    write (0,*) ' Options: '
    write (0,*) '   OPTION          <description> [<default value>]'
    write (0,*) '    -h, -help	    display this help and exit'
    write (0,*) '                   '
    write (0,*) '    -in		    The name of the file containing fixed-order results'
    write (0,*) '                            (required unless you are not doing a matching, see'
    write (0,*) '                            -resum-only below)'
    write (0,*) '                   '
    write (0,*) '    -out   	           The name of the output file [/dev/stdout]	'
    write (0,*) '    -differential   If used, the differential distribution is returned [.false.]'
    write (0,*) '    '
    write (0,*) '    -cross-section  If used, the cross section is returned instead of the efficiency [.false.]'
    write (0,*) ''
    write (0,*) '    -loop-mass   Include full dependence on heavy-quark masses in loops '
    write (0,*) '    			  (none-> large mt limit,t -> top only ,t+b -> top and bottom) [none]                   '
    write (0,*) ''
    write (0,*) '    -order	           Resummation order (0-> LL; 1-> NLL; 2-> NNLL) [2]'
    write (0,*) '    -fixed_order  Order of the fixed-order integrated distribution which the resummation '
    write (0,*) '    		  	   is matched to (1-> NLO, 2-> NNLO, 3-> N3LO (ptj only)) [2]'
    write (0,*) '    -scheme        Matching scheme to fixed order result (a,b,c) [a]'
    write (0,*) '    -xQ	           Ratio of resummation scale Q to boson mass [0.5]'
    write (0,*) '    -p                   Parameter controlling the modified logarithms [5.0]'
    write (0,*) '    '
    write (0,*) '    -observable  The observable to be resummed (ptj -> leading jet pt, ptB -> boson pt) [ptj]'
    write (0,*) '    -ptcut       Cutoff in transverse momentum for resummed predictions ([M/4] for ptB; [0] for ptj)'
    write (0,*) ''
    write (0,*) '    The following information:'
    write (0,*) ''
    write (0,*) '      proc, collider, sqrt, pdf_name, M (in the Higgs case), mur, muf, algo, R '
    write (0,*) ''
    write (0,*) '    should always be contained in the input file, and cannot be'
    write (0,*) '    overwritten via command-line options. '
    write (0,*) '   		 '
    write (0,*) ' It is also possible to perform just the resummation, without a'
    write (0,*) ' matching. This is useful for example when no fixed-order file is'
    write (0,*) ' available, and one believes that the resummation alone may be'
    write (0,*) ' informative (the NNLL resummation is often reasonably reliable on its'
    write (0,*) ' own in the region of small pt).'
    write (0,*) ''
    write (0,*) ' The -resum-only option turns this facility on; one is then not'
    write (0,*) ' allowed to give the "-in" option, and instead parameters are set'
    write (0,*) ' entirely from the command line:'
    write (0,*) ''
    write (0,*) '   -proc         "H" for Higgs boson production, "DY" for Z boson production '
    write (0,*) '                 ["H"]'
    write (0,*) '   -collider     Collider type ("pp" for proton-proton, "ppbar" for '
    write (0,*) '                 proton-antiproton) [pp]'
    write (0,*) '   -sqrts	 Centre of mass energy [8000 GeV]'
    write (0,*) '   -pdf_name     LHAPDF data file for the chosen pdf set '
    write (0,*) '   		 [MSTW2008nnlo68cl.LHgrid]'
    write (0,*) '   -pdf_set      the index of the set to use [0]'
    write (0,*) '   -muR	         Renormalisation scale [M/2]'
    write (0,*) '   -muF	         Factorisation scale [M/2]'
    write (0,*) '   -R 	         Jet-radius R [0.4]'
    write (0,*) '   -ptmin        Sets the minimum value of the jet pt [1d0]'
    write (0,*) '   -ptmax        Sets the maximum value of the jet pt [300d0]. Otherwise it '
    write (0,*) '                 sets the maximum value of jet pt read from the input file '
    write (0,*) '                 [1e200].'
    write (0,*) '   -nbins        Sets the number of bins in jet pt [300].'
    write (0,*) '   -log          The binning in jet pt is logarithmic [.false.]'
    write (0,*) '   -M            In the case of Higgs production, it sets the Higgs boson mass'
    write (0,*) '                 [125d0 GeV]. Z boson mass cannot be set from the'
    write (0,*) '                 command line and its hard-coded value is 91.1876 GeV.'
    write (0,*) '		 		 '

  end subroutine print_help

end module banner
